Bug 120452 - kde5: Impress crashes when opening slide containing video
Summary: kde5: Impress crashes when opening slide containing video
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (CIB)
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: KDE Media
  Show dependency treegraph
 
Reported: 2018-10-09 10:52 UTC by Michael Weghorn
Modified: 2018-10-24 12:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Impress presentation that triggers the crash (4.17 MB, application/vnd.oasis.opendocument.presentation)
2018-10-09 10:52 UTC, Michael Weghorn
Details
GDB backtrace (19.99 KB, text/plain)
2018-10-09 10:52 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weghorn 2018-10-09 10:52:12 UTC
Created attachment 145517 [details]
Impress presentation that triggers the crash

version: master build as of commit 260701270abc7997996625449cd3d40f8b4f7f49
VCL: kde5 on X11 (the gtk3 VCL plugin e.g. works fine)
platform: Debian testing, Plasma 5 desktop

Steps to reproduce:

1) open the attached file in Impress (It's a slide that contains the "Big Buck Bunny" trailer as a video.)

Result: LibreOffice crashes
Comment 1 Michael Weghorn 2018-10-09 10:52:45 UTC
Created attachment 145518 [details]
GDB backtrace
Comment 2 Commit Notification 2018-10-19 14:09:51 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9342497f309be256e6c7d43065c160378a48e1a

tdf#120452: Just enough of SystemEnvData in Qt5Object

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Katarina Behrens (CIB) 2018-10-22 08:55:12 UTC
The crash is gone w/ the above commit, but the video still doesn't play/there are problems, so IDK if we should continue in this ticket or open new one(s)
Comment 4 Xisco Faulí 2018-10-22 09:20:51 UTC
(In reply to Katarina Behrens (CIB) from comment #3)
> The crash is gone w/ the above commit, but the video still doesn't
> play/there are problems, so IDK if we should continue in this ticket or open
> new one(s)

Feel free to close this one as RESOLVED FIXED.
I'll create a follow-up bug for the video problem...
Comment 5 Xisco Faulí 2018-10-24 12:23:52 UTC
(In reply to Katarina Behrens (CIB) from comment #3)
> The crash is gone w/ the above commit, but the video still doesn't
> play/there are problems, so IDK if we should continue in this ticket or open
> new one(s)

@Bubli, Actually the video can be played in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

1. Open the file
2. Select the video
3. Click play on the sidebar

However there're problems with the menus, I will report this...